MKPLAYLIST(1)

NAME
mkplaylist - create a playlist from directories

SYNOPSIS
mkplaylist [-chqrv] [-f playlist_format] [-o playlist_file]

DESCRIPTION
mkplaylist is a small python script that creates m3u, extended m3u or PLS playlists from ac3, flac, it, mod, mp3, ogg, s3m and wav files.

OPTIONS
The options are as follows:

-c  Use a cache file. The default is not to use one.

-h  Show a help message.

-q  Be really quiet.

-r  Write relative paths. The default is to write absolute paths.

-v  Be verbose.

--shuffle
    Shuffle the playlist before saving it.

-o  Output playlist filename.

EXAMPLES
Create the playlist playlist.m3u from the audio files in the /data/music directory:

    mkplaylist --cache -o playlist.m3u /data/music

Create a playlist in m3u format with relative paths from the two directories /data/music/Various and /data/music/Soundtracks:

    mkplaylist -r -f m3u --shuffle /data/music/Various \
                                   /data/music/Soundtracks